Safe Haskell | Safe-Inferred
Language | Haskell2010

FunArgs

# Documentation

f #

Arguments

:: forall a. Ord a |
=> Int | First argument
-> a | Second argument
-> Bool | Third argument
-> (a -> a) | Fourth argument
-> () | Result

g #

Arguments

:: a | First argument
-> b | Second argument
-> c | Third argument
-> d | Result

h #

Arguments

:: forall a b c. a | First argument
-> b | Second argument
-> c | Third argument
-> forall d. d | Result

i #

Arguments

:: forall a (b :: ()) d. d ~ '() |
=> forall c. a b c d | abcd
-> () | Result

j #

Arguments

:: forall proxy (a :: ()) b. proxy a | First argument
-> b | Result